Create/Update
Create or update an action workflow
Create an action workflow
Headers
Name
Type
Description
Request Body
Name
Type
Description
{
// Response
}{
// Response
}Last updated
Create or update an action workflow
POST https://api.couchdrop.io/manage/workflow/events
token
String
API Access Token
String
If id is provided the existing workflow with this id will be updated.
enabled
Boolean
Enable or disable the workflow
name
String
Workflow name in the system
conditions
JSON Array String
Conditions that need to be met for this workflow to action upon.
E.g.
[ { "condition_type": "and", "id": "e6fde778-66cc-48ce-89ba-0fc7c41645e9", "transaction_type": "upload", "type": "transaction" }, { "condition_type": "and", "directory": "/myfolder/compressed/", "id": "c96fc558-904e-4a80-993d-2d8ebc42f3fe", "negate": false, "type": "directory_matches" }, { "condition_type": "and", "filename_pattern": "*.bz2", "id": "98fe1b8c-8516-4dbc-be1f-0bdce1cc131b", "negate": false, "type": "filename_matches" } ]
actions
JSON Aray String
Action that will run on the files/folders that match the conditions.
E.g.
[ { "actions": [ { "email_address": "[email protected]", "id": "51856312-fa6c-469e-86da-0a3028611069", "type": "email" } ], "decompress_to": "/myfolder/decompressed/", "decompress_type": "bz2", "id": "1ce2e380-a4bc-4d05-a8e5-c47e76461419", "type": "decompress" } ]
delay
Integer
Delay of the workflow execution in seconds.
position
Integer
Position of this workflows run order if multiple workflows are configured. Starts with 0
{
// Response
}{
// Response
}Last updated